CMSIS-Driver: CAN Unit Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
CAN Unit Events
CAN Interface

Callback unit events notified via ARM_CAN_SignalUnitEvent. More...

## Macros

#define | ARM_CAN_EVENT_UNIT_INACTIVE (0U)
| Unit entered Inactive state. More...
#define | ARM_CAN_EVENT_UNIT_ACTIVE (1U)
| Unit entered Error Active state. More...
#define | ARM_CAN_EVENT_UNIT_WARNING (2U)
| Unit entered Error Warning state (one or both error counters >= 96) More...
#define | ARM_CAN_EVENT_UNIT_PASSIVE (3U)
| Unit entered Error Passive state. More...
#define | ARM_CAN_EVENT_UNIT_BUS_OFF (4U)
| Unit entered Bus-off state. More...

## Description

Callback unit events notified via ARM_CAN_SignalUnitEvent.

The CAN driver generates callback unit events that are notified via the function ARM_CAN_SignalUnitEvent.

The following callback notification unit events are generated:

## Macro Definition Documentation

#define ARM_CAN_EVENT_UNIT_INACTIVE (0U)

Unit entered Inactive state.

See Also
  ARM_CAN_SignalUnitEvent

#define ARM_CAN_EVENT_UNIT_ACTIVE (1U)

Unit entered Error Active state.

See Also
  ARM_CAN_SignalUnitEvent

#define ARM_CAN_EVENT_UNIT_WARNING (2U)

Unit entered Error Warning state (one or both error counters >= 96)

See Also
  ARM_CAN_SignalUnitEvent

#define ARM_CAN_EVENT_UNIT_PASSIVE (3U)

Unit entered Error Passive state.

See Also
  ARM_CAN_SignalUnitEvent

#define ARM_CAN_EVENT_UNIT_BUS_OFF (4U)

Unit entered Bus-off state.

See Also
  ARM_CAN_SignalUnitEvent